Package org.eclipse.lemminx.extensions.xerces.xmlmodel

## Interface XMLModelValidator

All Superinterfaces:
  `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDocumentFilter`, `org.apache.xerces.xni.XMLDocumentHandler`, `org.apache.xerces.xni.parser.XMLDocumentSource`

All Known Implementing Classes:
  `XMLModelDTDValidator`, `XMLModelRelaxNGValidator`, `XMLModelSchemaValidator`

    public interface XMLModelValidator
    extends org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDocumentFilter

XML model validator API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setLocator​(org.apache.xerces.xni.XMLLocator locator)`
`void` `setXMLReader​(XMLReader documentHandler)`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLComponent

`getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, reset, setFeature, setProperty`

### Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler

`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource

`getDocumentHandler, setDocumentHandler`

### Method Detail

#### setLocator

    void setLocator​(org.apache.xerces.xni.XMLLocator locator)

#### setXMLReader

    void setXMLReader​(XMLReader documentHandler)